## NAME

CURLOPT_HTTPGET - ask for a HTTP GET request

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_HTTPGET, long useget);

## DESCRIPTION

Pass a long. If useget is 1, this forces the HTTP request to get back to using GET. Usable if a POST, HEAD, PUT, etc has been used previously using the same curl handle.

When setting CURLOPT_HTTPGET to 1, it will automatically set CURLOPT_NOBODY to 0 and CURLOPT_UPLOAD to 0.

## DEFAULT

0

## PROTOCOLS

HTTP(S)

## EXAMPLE

    curl = curl_easy_init();
    if(curl) {
      curl_easy_setopt(curl, CURLOPT_URL, "http://example.com");

      /* use a GET to fetch this */
      curl_easy_setopt(curl, CURLOPT_HTTPGET, 1L);

      /* Perform the request */
      curl_easy_perform(curl);
    }

## AVAILABILITY

Along with HTTP

## RETURN VALUE

Returns CURLE_OK if HTTP is supported, and CURLE_UNKNOWN_OPTION if not.

## SEE ALSO

CURLOPT_NOBODY, CURLOPT_UPLOAD

This HTML page was made with roffit.